#
# spec file for package perl-GraphViz
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-GraphViz
Version:        2.15
Release:        5.3
%define cpan_name GraphViz
Summary:        Interface to AT&T's GraphViz. Deprecated. See GraphViz2
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/GraphViz/
Source:         http://www.cpan.org/authors/id/R/RS/RSAVAGE/%{cpan_name}-%{version}.tgz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Which) >= 1.09
BuildRequires:  perl(IPC::Run) >= 0.6
BuildRequires:  perl(LWP::Simple) >= 6
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Parse::RecDescent) >= 1.965001
BuildRequires:  perl(Test::Pod) >= 1.44
BuildRequires:  perl(XML::Twig) >= 3.38
BuildRequires:  perl(XML::XPath) >= 1.13
Requires:       perl(File::Which) >= 1.09
Requires:       perl(IPC::Run) >= 0.6
Requires:       perl(LWP::Simple) >= 6
Requires:       perl(Parse::RecDescent) >= 1.965001
Requires:       perl(XML::Twig) >= 3.38
Requires:       perl(XML::XPath) >= 1.13

%{perl_requires}
# MANUAL BEGIN
BuildRequires:  graphviz
# graphviz-gnome is required so that dot -Tpng works.
Requires:       cairo
Requires:       graphviz
Requires:       graphviz-gnome
Requires:       pango
# MANUAL END

%description
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato", "twopi", "circo" and "fdp" programs from
the GraphViz project (http://www.graphviz.org/ or
http://www.research.att.com/sw/tools/graphviz/).

GraphViz is deprecated in favour of the GraphViz2 manpage.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changelog.ini examples README

%changelog
* Mon May 12 2014 vcizek@suse.com
- update to 2.15
  * fixes build on Factory
  * changes:
  - Fix double-quote escaping bug in GraphViz's _attributes() method. See RT#90528.
  - Patch t/foo.t to not assume text appears on specific lines of the output test files.
  - Re-package distro because users get errors during testing. See RT#80709.
  - For pre-reqs such as strict, warnings, etc, which ship with Perl, set the version # to 0.
  Reported as RT#80663 by Father Chrysostomos for Tree::DAG_Node.
  - Add VDX as an output format.
  - Accept a patch kindly supplied by Alexander Kriegisch, to change handling of the rankdir attribute.
  - Patch this file to replace BST with GMT, since both DateTime::Format::HTTP and DateTime::Format::Strptime
* Fri Nov 18 2011 coolo@suse.com
- update to 2.08
  - Wind back pre-reqs for various modules to match what was shipped with Perl V 5.8.1.
    Many thanx to Brian Cassidy for the error report: https://rt.cpan.org/Ticket/Display.html?id=72068.
  - Rewrite Build.PL and Makefile.PL to try loading File::Which rather than assuming it is installed.
    This avoids the chicken-and-egg problem whereby these 2 programs need File::Which::which to find 'dot'.
    Many thanx to Richard Clamp for the error report: https://rt.cpan.org/Public/Bug/Display.html?id=71971.
  - Add File::Which to the pre-reqs in Build.PL and Makefile.PL.
  - Add 'Deprecated. See GraphViz2' to the docs.
  - Add Build.PL.
  - Add ability to set ORIENTATION. Thanx to Christian Lackas for the patch. See RT#71787.
  - Add Changelog.ini.
  - Add META.json, MYMETA.json and MYMETA.yml.
  - Add MANIFEST.SKIP.
  - Ensure all modules contain a version number.
  - Update the docs regarding the list of modules shipped in this distro.
  - Remove examples/remote.pl because GraphViz::Remote is no longer shipped.
  - Clean up examples/clusters2.pl.
  - Clean up Makefile.PL.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Oct 13 2010 jw@novell.com
- graphviz-gnome is required so that dot -Tpng works.
* Fri Jul 30 2010 kai.blin@biotech.uni-tuebingen.de
- initial package 2.04
  * created by cpanspec 1.78
